aboutsummaryrefslogtreecommitdiff
path: root/reproduce
diff options
context:
space:
mode:
Diffstat (limited to 'reproduce')
-rwxr-xr-xreproduce/software/shell/configure.sh4
-rwxr-xr-xreproduce/software/shell/pre-make-build.sh2
2 files changed, 3 insertions, 3 deletions
diff --git a/reproduce/software/shell/configure.sh b/reproduce/software/shell/configure.sh
index 21fe1d6..bc43540 100755
--- a/reproduce/software/shell/configure.sh
+++ b/reproduce/software/shell/configure.sh
@@ -188,7 +188,7 @@ check_permission ()
free_space_warning()
{
fs_threshold=$1
- IFS='"' fs_destpath="$2"
+ fs_destpath="$2"
return $(df "$fs_destpath" \
| awk 'FNR==2 {if($4>'$fs_threshold') print 1; \
else print 0; }')
@@ -873,7 +873,7 @@ EOF
# manipulate file permissions in the directory's filesystem and if
# so, see if there is atleast 5GB free space.
if ! [ x"$bdir" = x ]; then
- if ! $(IFS='"' check_permission "$bdir"); then
+ if ! $(check_permission "$bdir"); then
# Unable to handle permissions well
bdir=
echo " ** File permissions can't be modified in this directory"
diff --git a/reproduce/software/shell/pre-make-build.sh b/reproduce/software/shell/pre-make-build.sh
index f11e6e6..4e7d6ad 100755
--- a/reproduce/software/shell/pre-make-build.sh
+++ b/reproduce/software/shell/pre-make-build.sh
@@ -30,7 +30,7 @@ set -e
-# Input arguments (the 'IFS's are to allow space in the name).
+# Input arguments.
bdir="$1"
ddir="$2"
downloader="$3"